Update Application
curl --request PATCH \
--url https://api.stackone.com/unified/ats/applications/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"passthrough": {
"other_known_names": "John Doe"
},
"custom_fields": [
{
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"name": "Training Completion Status",
"value": "Completed",
"value_id": "value_456",
"remote_value_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48"
}
],
"application_status": {
"value": "hired",
"source_value": "Hired"
},
"source": {
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"name": "LinkedIn"
}
}
'import requests
url = "https://api.stackone.com/unified/ats/applications/{id}"
payload = {
"passthrough": { "other_known_names": "John Doe" },
"custom_fields": [
{
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"name": "Training Completion Status",
"value": "Completed",
"value_id": "value_456",
"remote_value_id": "e3cb75bf-aa84-466e-a6c1-b8322b257a48"
}
],
"application_status": {
"value": "hired",
"source_value": "Hired"
},
"source": {
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"name": "LinkedIn"
}
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
passthrough: {other_known_names: 'John Doe'},
custom_fields: [
{
id: '8187e5da-dc77-475e-9949-af0f1fa4e4e3',
remote_id: '8187e5da-dc77-475e-9949-af0f1fa4e4e3',
name: 'Training Completion Status',
value: 'Completed',
value_id: 'value_456',
remote_value_id: 'e3cb75bf-aa84-466e-a6c1-b8322b257a48'
}
],
application_status: {value: 'hired', source_value: 'Hired'},
source: {id: '8187e5da-dc77-475e-9949-af0f1fa4e4e3', name: 'LinkedIn'}
})
};
fetch('https://api.stackone.com/unified/ats/applications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Record updated successfully.",
"timestamp": "2021-01-01T01:01:01.000Z"
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Update Application
PATCH
/
unified
/
ats
/
applications
/
{id}
Update Application
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)
Example:
"heartbeat"
Path Parameters
Body
application/json
Was this page helpful?
⌘I